import greenfoot.*;

public class Level extends World
{
    static final int worldWidth = 600, worldHeight = 400; // standard size of a world
    static Kara kara;
    
    // the boolean argument must be 'true' to signify changing worlds
    // otherwise, it will perform like the scenario was reset or recompiled
    public Level(boolean continued, Color bgColor, String roomNumber)
    {
        super(worldWidth, worldHeight, 1);
        setPaintOrder(Kara.class);
        // if first world, reset the variable static fields
        if (!continued)
        {
            // fill an array with the different world
            Level[][] rooms = new Level[3][3];
            rooms[0][0] = this;
            rooms[1][0] = new Room302();
            rooms[2][0] = new Room303();
            rooms[0][1] = new Room201();
            rooms[1][1] = new Room202();
            rooms[2][1] = new Room203();
            rooms[0][2] = new Room101();
            rooms[1][2] = new Room102();
            rooms[2][2] = new Room103();
            // add the paired portals to the worlds
            for (int i=0; i<3; i++) for (int j=0; j<2; j++)
            {
                Portal portal1 = new Portal();
                Portal portal2 = new Portal(portal1);
                portal1.setMirror(portal2);
                rooms[i][j].addObject(portal1, 300, 375);
                rooms[i][j+1].addObject(portal2, 300, 25);
                portal1 = new Portal();
                portal2 = new Portal(portal1);
                portal1.setMirror(portal2);
                rooms[j][i].addObject(portal1, 575, 200);
                rooms[j+1][i].addObject(portal2, 25, 200);
            }
            // create and add the main actor to the starting world
            kara = new Kara();
            addObject(kara, 30, 200);
        }
        // give background of world a unique color
        GreenfootImage bg = getBackground();
        bg.setColor(bgColor);
        bg.fill();
        // display room number on background image of world
        GreenfootImage image = new GreenfootImage("Rm. "+roomNumber, 120, Color.BLACK, new Color(0, 0, 0, 0));
        bg.drawImage(image, (bg.getWidth()-image.getWidth())/2, (bg.getHeight()-image.getHeight())/2);
    }
}